pcl::Region3D< PointT > Class Template Reference

Region3D represents summary statistics of a 3D collection of points. More...

`#include <pcl/segmentation/region_3d.h>`

Inheritance diagram for pcl::Region3D< PointT >:

## Public Member Functions

| Region3D ()
| Empty constructor for Region3D. More...
| Region3D (Eigen::Vector3f &centroid, Eigen::Matrix3f &covariance, unsigned count)
| Constructor for Region3D. More...
virtual | ~Region3D ()
| Destructor. More...
Eigen::Vector3f | getCentroid () const
| Get the centroid of the region. More...
Eigen::Matrix3f | getCovariance () const
| Get the covariance of the region. More...
unsigned | getCount () const
| Get the number of points in the region. More...
float | getCurvature () const
| Get the curvature of the region. More...
void | setCurvature (float curvature)
| Set the curvature of the region. More...

## Protected Attributes

Eigen::Vector3f | centroid_
| The centroid of the region. More...
Eigen::Matrix3f | covariance_
| The covariance of the region. More...
unsigned | count_
| The number of points in the region. More...
float | curvature_
| The mean curvature of the region. More...

## Detailed Description

### template<typename PointT>
class pcl::Region3D< PointT >

Region3D represents summary statistics of a 3D collection of points.

Author
  Alex Trevor

Definition at line 50 of file region_3d.h.

## Constructor & Destructor Documentation

template<typename PointT>

pcl::Region3D< PointT >::Region3D | ( |  | ) |

inline

Empty constructor for Region3D.

Definition at line 54 of file region_3d.h.

template<typename PointT>

pcl::Region3D< PointT >::Region3D | ( | Eigen::Vector3f & | centroid,
|  | Eigen::Matrix3f & | covariance,
|  | unsigned | count
| ) |  |

inline

Constructor for Region3D.

Parameters

  [in] | centroid | The centroid of the region.
  [in] | covariance | The covariance of the region.
  [in] | count | The number of points in the region.

Definition at line 63 of file region_3d.h.

template<typename PointT>

virtual pcl::Region3D< PointT >::~Region3D | ( |  | ) |

inline virtual

Destructor.

Definition at line 69 of file region_3d.h.

## Member Function Documentation

template<typename PointT>

Eigen::Vector3f pcl::Region3D< PointT >::getCentroid | ( |  | ) | const

inline

Get the centroid of the region.

Definition at line 73 of file region_3d.h.

References pcl::Region3D< PointT >::centroid_.

template<typename PointT>

unsigned pcl::Region3D< PointT >::getCount | ( |  | ) | const

inline

Get the number of points in the region.

Definition at line 87 of file region_3d.h.

References pcl::Region3D< PointT >::count_.

template<typename PointT>

Eigen::Matrix3f pcl::Region3D< PointT >::getCovariance | ( |  | ) | const

inline

Get the covariance of the region.

Definition at line 80 of file region_3d.h.

References pcl::Region3D< PointT >::covariance_.

template<typename PointT>

float pcl::Region3D< PointT >::getCurvature | ( |  | ) | const

inline

Get the curvature of the region.

Definition at line 94 of file region_3d.h.

References pcl::Region3D< PointT >::curvature_.

template<typename PointT>

void pcl::Region3D< PointT >::setCurvature | ( | float | curvature | ) |

inline

Set the curvature of the region.

Definition at line 101 of file region_3d.h.

References pcl::Region3D< PointT >::curvature_.

## Member Data Documentation

template<typename PointT>

Eigen::Vector3f pcl::Region3D< PointT >::centroid_

protected

The centroid of the region.

Definition at line 108 of file region_3d.h.

Referenced by pcl::Region3D< PointT >::getCentroid(), and pcl::PlanarRegion< PointT >::PlanarRegion().

template<typename PointT>

unsigned pcl::Region3D< PointT >::count_

protected

The number of points in the region.

Definition at line 114 of file region_3d.h.

Referenced by pcl::Region3D< PointT >::getCount(), and pcl::PlanarRegion< PointT >::PlanarRegion().

template<typename PointT>

Eigen::Matrix3f pcl::Region3D< PointT >::covariance_

protected

The covariance of the region.

Definition at line 111 of file region_3d.h.

Referenced by pcl::Region3D< PointT >::getCovariance(), and pcl::PlanarRegion< PointT >::PlanarRegion().

template<typename PointT>

float pcl::Region3D< PointT >::curvature_

protected

The mean curvature of the region.

Definition at line 117 of file region_3d.h.

Referenced by pcl::Region3D< PointT >::getCurvature(), and pcl::Region3D< PointT >::setCurvature().

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/segmentation/include/pcl/segmentation/region_3d.h